﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	import flash.events.MouseEvent;
	import flash.sampler.NewObjectSample;
	import flash.filters.BlurFilter;
	import flash.display.BlendMode;
	import flash.filters.DropShadowFilter;

	public class Spider extends Sprite
	{
		private var timer:Timer;
		private var points:Array = new Array();
		private var blurFilter = new BlurFilter();
		private var dropShadowFilter = new DropShadowFilter();
		public function Spider()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			fullhandler(null);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			if(timer){
			timer.stop();
			}
			//this.graphics.clear();
			this.graphics.lineStyle(1,0xffffff,0.1);
			points = new Array();
			timer = new Timer(100,150);
			timer.addEventListener(TimerEvent.TIMER, refresh);
			timer.start();
		}
		
		private function refresh(e:TimerEvent):void
		{
			var p1:Object;
			var dx:Number;
			var dy:Number;
			var dist:Number;
			var p0:Object = {"x":Math.random() * stage.stageWidth, "y":Math.random() * stage.stageHeight};
			var max:Number = 200;
			
			for(var i:uint;i<points.length;i++){
				p1 = points[i];
				dx = p1.x - p0.x;
				dy = p1.y - p0.y;
				dist = Math.round(Math.sqrt(dx * dx + dy*dy));
				if(dist < max){
					
					blurFilter.blurX = 5;
					blurFilter.blurY = 5;
					blurFilter.quality = 20;
					
					dropShadowFilter.alpha = 0.9;
					dropShadowFilter.angle = -45;
					dropShadowFilter.blurX = 10;
					dropShadowFilter.blurY = 15;
					dropShadowFilter.color = 0x000000;
					
					filters = [dropShadowFilter];
					
					this.graphics.lineStyle(Math.random()*4+1,0xCCCCCC,(1 - dist / max));
					this.graphics.moveTo(p0.x,p0.y);
					this.graphics.curveTo(p1.x,p1.y,p0.x,p0.y);
					this.graphics.beginFill(0x111111,.4);
					this.graphics.drawCircle(p1.x,p1.y,Math.random()*12+1);
					//blendMode = "DARKEN";
					//trace(timer.currentCount);
				}
			}
			points.push(p0);
		}
	}
}